// Load ‘Robb.js’
var Robb = require('../src/robb.js');

/**
 * Test ‘isUrl’
 *
 * @param {object} test
 */
exports.isUrl = function(test) {

  /**
   * List of Domains
   *
   */
  var domains = [
    '.ac',
    '.ad',
    '.ae',
    '.af',
    '.ag',
    '.ai',
    '.al',
    '.am',
    '.an',
    '.ao',
    '.aq',
    '.ar',
    '.as',
    '.at',
    '.au',
    '.aw',
    '.ax',
    '.az',
    '.ba',
    '.bb',
    '.bd',
    '.be',
    '.bf',
    '.bg',
    '.bh',
    '.bi',
    '.bj',
    '.bm',
    '.bn',
    '.bo',
    '.br',
    '.bs',
    '.bt',
    '.bv',
    '.bw',
    '.by',
    '.bz',
    '.ca',
    '.cc',
    '.cd',
    '.cf',
    '.cg',
    '.ch',
    '.ci',
    '.ck',
    '.cl',
    '.cm',
    '.cn',
    '.co',
    '.cr',
    '.cs',
    '.cu',
    '.cv',
    '.cx',
    '.cy',
    '.cz',
    '.dd',
    '.de',
    '.dj',
    '.dk',
    '.dm',
    '.do',
    '.dz',
    '.ec',
    '.ee',
    '.eg',
    '.er',
    '.es',
    '.et',
    '.eu',
    '.fi',
    '.fj',
    '.fk',
    '.fm',
    '.fo',
    '.fr',
    '.ga',
    '.gb',
    '.gd',
    '.ge',
    '.gf',
    '.gg',
    '.gh',
    '.gi',
    '.gl',
    '.gm',
    '.gn',
    '.gp',
    '.gq',
    '.gr',
    '.gs',
    '.gt',
    '.gu',
    '.gw',
    '.gy',
    '.hk',
    '.hm',
    '.hn',
    '.hr',
    '.ht',
    '.hu',
    '.id',
    '.ie',
    '.il',
    '.im',
    '.in',
    '.io',
    '.iq',
    '.ir',
    '.is',
    '.it',
    '.je',
    '.jm',
    '.jo',
    '.jp',
    '.ke',
    '.kg',
    '.kh',
    '.ki',
    '.km',
    '.kn',
    '.kp',
    '.kr',
    '.kw',
    '.ky',
    '.kz',
    '.la',
    '.lb',
    '.lc',
    '.li',
    '.lk',
    '.lr',
    '.ls',
    '.lt',
    '.lu',
    '.lv',
    '.ly',
    '.ma',
    '.mc',
    '.md',
    '.me',
    '.mg',
    '.mh',
    '.mk',
    '.ml',
    '.mm',
    '.mn',
    '.mo',
    '.mp',
    '.mq',
    '.mr',
    '.ms',
    '.mt',
    '.mu',
    '.mv',
    '.mw',
    '.mx',
    '.my',
    '.mz',
    '.na',
    '.nc',
    '.ne',
    '.nf',
    '.ng',
    '.ni',
    '.nl',
    '.no',
    '.np',
    '.nr',
    '.nu',
    '.nz',
    '.om',
    '.pa',
    '.pe',
    '.pf',
    '.pg',
    '.ph',
    '.pk',
    '.pl',
    '.pm',
    '.pn',
    '.pr',
    '.ps',
    '.pt',
    '.pw',
    '.py',
    '.qa',
    '.re',
    '.ro',
    '.rs',
    '.ru',
    '.rw',
    '.sa',
    '.sb',
    '.sc',
    '.sd',
    '.se',
    '.sg',
    '.sh',
    '.si',
    '.sj',
    '.sk',
    '.sl',
    '.sm',
    '.sn',
    '.so',
    '.sr',
    '.st',
    '.su',
    '.sv',
    '.sy',
    '.sz',
    '.tc',
    '.td',
    '.tf',
    '.tg',
    '.th',
    '.tj',
    '.tk',
    '.tl',
    '.tm',
    '.tn',
    '.to',
    '.tp',
    '.tr',
    '.tt',
    '.tv',
    '.tw',
    '.tz',
    '.ua',
    '.ug',
    '.uk',
    '.us',
    '.uy',
    '.uz',
    '.va',
    '.vc',
    '.ve',
    '.vg',
    '.vi',
    '.vn',
    '.vu',
    '.wf',
    '.ws',
    '.ye',
    '.yt',
    '.za',
    '.zm',
    '.zw',
    '.aero',
    '.asia',
    '.biz',
    '.cat',
    '.com',
    '.coop',
    '.edu',
    '.gov',
    '.info',
    '.int',
    '.jobs',
    '.mil',
    '.mobi',
    '.museum',
    '.name',
    '.net',
    '.org',
    '.pro',
    '.tel',
    '.travel',
    '.xxx'
  ];

  domains.forEach(function(domain) {

    var names = [
      'http://www.example' + domain,
      'https://www.example' + domain,
      'http://example' + domain,
      'https://example' + domain,
      'www.example' + domain,
      'www.example' + domain,      
      'example' + domain,
      'example' + domain,
    ];
    
    var params = [
      '/?foo',
      '/?foo=bar',
      '/path/to/file/',
      '/path/to/file/?query',
      '/path/to/file/?foo1=bar1&foo2=bar2',
      '/index.html'
    ];

    // TODO: Hashes?

    names.forEach(function(name) {

      var result = Robb.isUrl( name )
      test.strictEqual( result, true );  

      params.forEach(function(param) {
        var result = Robb.isUrl( name + param )
        test.strictEqual( result, true );
      });

    });

  });
  
  var fails = [
    'example',
    'example..',
    '.example.',
    'htp://example.com',
    'http:\\example.com',
    'http:/example.com',
    null,
    undefined
  ];
  
  fails.forEach(function(fail) {
    var result = Robb.isUrl( fail )
    test.strictEqual( result, false );
  });

  test.done();

};